
package com.redxun.knowledge.map.service;


import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.map.entity.dao.Map;
import com.redxun.knowledge.map.mapper.MapMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;
import javax.annotation.Resource;

/**
* [业务--知识地图表]业务服务类
*/
@Service
public class MapServiceImpl extends SuperServiceImpl<MapMapper, Map> implements BaseService<Map> {

    @Resource
    private MapMapper mapMapper;

    @Override
    public BaseDao<Map> getRepository() {
        return mapMapper;
    }

}
